Bug 2090899 (CVE-2022-28737) - CVE-2022-28737 shim: Buffer overflow when loading crafted EFI images
Summary: CVE-2022-28737 shim: Buffer overflow when loading crafted EFI images
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-28737
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2091090 2091091 2091092 2091093 2091094 2091099 2091101 2091095 2091096 2091097 2091098 2091100
Blocks: 2090898
TreeView+ depends on / blocked
 
Reported: 2022-05-26 20:50 UTC by Marco Benatto
Modified: 2022-07-19 15:32 UTC (History)
2 users (show)

Fixed In Version: shim 15.6
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in shim during the handling of EFI executables. A crafted EFI image can lead to an overflow in shim. This flaw allows an attacker to perform an out-of-bounds write in memory. A successful attack can lead to data integrity, confidentiality issues, and arbitrary code execution.
Clone Of:
Environment:
Last Closed: 2022-06-16 22:08:00 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2022:5105 0 None None None 2022-06-16 21:08:44 UTC
Red Hat Product Errata RHBA-2022:5121 0 None None None 2022-06-20 01:27:35 UTC
Red Hat Product Errata RHBA-2022:5127 0 None None None 2022-06-20 12:12:17 UTC
Red Hat Product Errata RHBA-2022:5128 0 None None None 2022-06-20 14:27:12 UTC
Red Hat Product Errata RHBA-2022:5170 0 None None None 2022-06-22 11:38:44 UTC
Red Hat Product Errata RHBA-2022:5437 0 None None None 2022-06-30 07:15:24 UTC
Red Hat Product Errata RHBA-2022:5578 0 None None None 2022-07-13 15:10:23 UTC
Red Hat Product Errata RHBA-2022:5643 0 None None None 2022-07-19 15:32:32 UTC
Red Hat Product Errata RHSA-2022:5095 0 None None None 2022-06-16 15:34:15 UTC
Red Hat Product Errata RHSA-2022:5096 0 None None None 2022-06-16 14:55:52 UTC
Red Hat Product Errata RHSA-2022:5098 0 None None None 2022-06-16 13:51:31 UTC
Red Hat Product Errata RHSA-2022:5099 0 None None None 2022-06-16 15:24:04 UTC
Red Hat Product Errata RHSA-2022:5100 0 None None None 2022-06-16 15:46:18 UTC

Description Marco Benatto 2022-05-26 20:50:34 UTC
There's a possible overflow in handle_image() when shim tries to load and execute crafted EFI executables. The handle_image() function takes in account by the SizeOfRawData field from each section to be load, an attacker can leverage this to perform out-of-bound writes into memory. Arbitrary code execution is not discarded in such scenario.

Comment 2 errata-xmlrpc 2022-06-16 13:51:28 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Update Services for SAP Solutions

Via RHSA-2022:5098 https://access.redhat.com/errata/RHSA-2022:5098

Comment 3 errata-xmlrpc 2022-06-16 14:55:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Extended Update Support

Via RHSA-2022:5096 https://access.redhat.com/errata/RHSA-2022:5096

Comment 4 errata-xmlrpc 2022-06-16 15:24:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:5099 https://access.redhat.com/errata/RHSA-2022:5099

Comment 5 errata-xmlrpc 2022-06-16 15:34:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:5095 https://access.redhat.com/errata/RHSA-2022:5095

Comment 6 errata-xmlrpc 2022-06-16 15:46:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2022:5100 https://access.redhat.com/errata/RHSA-2022:5100

Comment 7 Product Security DevOps Team 2022-06-16 22:07:58 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-28737


Note You need to log in before you can comment on or make changes to this bug.